hush: implement "readonly" builtin
[oweals/busybox.git] / shell / hush.c
2017-07-17 Denys Vlasenkohush: implement "readonly" builtin
2017-07-17 Denys Vlasenkohush: small fix to last commit
2017-07-17 Denys Vlasenkohush: support ${VAR:N:-M}
2017-07-17 Denys Vlasenkoshells: expand TODO comments, no code changes
2017-07-16 Denys Vlasenkohush: fix "cmd1 && cmd2 &" handling on NOMMU
2017-07-15 Denys Vlasenkohush: fix and_or_and_backgrounding.tests failure
2017-07-14 Denys Vlasenkohush: make "wait %1" work even if the job is dead
2017-07-14 Denys Vlasenkohush: remove superfluous comparison
2017-07-14 Denys Vlasenkohush: add support for "set -e"
2017-07-10 Denys Vlasenkohush: add TODO for "set -e"
2017-07-10 Denys Vlasenkohush: simplify insert_job_into_table() a bit
2017-07-10 Denys Vlasenkohush: rename a few functions
2017-07-07 Denys Vlasenkohush: explain why wait5.tests is failing
2017-07-07 Denys Vlasenkohush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait...
2017-07-07 Denys Vlasenkohush: fix two redirection testcase failures
2017-07-07 Denys Vlasenkomain: fix the case where user has "halt" as login shell...
2017-07-06 Denys Vlasenkohush: add a TODO about redir3.tests failure
2017-07-06 Denys Vlasenkohush: Print error messages on shift -1
2017-07-06 Denys Vlasenkohush: implement negative start in the ${v: -n[:m]}...
2017-07-06 Denys Vlasenkohush: "adopt" ash signal4.tests
2017-07-05 Denys Vlasenkohush: correctly handle quoting in "case" even if !BASH_...
2017-07-05 Denys Vlasenkohush: fix quoted_punct.tests failure
2017-07-03 Denys Vlasenkofixes for bugs found by make_single_applets.sh
2017-07-03 Denys Vlasenkomsh: delete this applet
2017-07-02 Denys Vlasenkorandomconfig fixes
2017-05-22 Denys Vlasenkoash,hush: fix SIGCHLD interrupting read builtin
2017-04-17 Denys VlasenkoSpelling fixes in comments, documentation, tests and...
2017-01-29 Denys Vlasenko*: add comment about APPLET_ODDNAME format
2017-01-11 Denys Vlasenkohush: reinstate [[ builtin
2017-01-11 Kang-Che Sunghush: split bash compatible extensions into separate...
2017-01-10 Denys Vlasenkohush: shorten output of "help" builtin
2017-01-10 Denys Vlasenkohush: reorder builtins (cd and pwd ought to be close...
2017-01-10 Denys Vlasenkoshells: make hush test optional, rename ASH_BUILTIN_foo...
2017-01-10 Denys VlasenkoBig cleanup in config help and description
2017-01-09 Denys Vlasenkohush: make echo builtin optional
2017-01-09 Denys Vlasenkohush: fix a bug in argv restoration after sourcing...
2017-01-09 Denys Vlasenkohush: global_args_malloced is used only if set builtin...
2017-01-09 Denys Vlasenkohush: fix 'defined but not used' warning
2017-01-09 Denys Vlasenkohush: remove redundand test for ENABLE_HUSH_JOB
2017-01-09 Denys Vlasenkohush: fix kill builtin without jobs support
2017-01-09 Denys Vlasenkotypo fix
2017-01-08 Denys Vlasenkohush: conditionalize print_escaped() on EXPORT || TRAP
2017-01-08 Denys Vlasenkohush: make memleak builtin optional
2017-01-08 Denys Vlasenkohush: make export builtin optional
2017-01-08 Denys Vlasenkohush: make umask builtin optional
2017-01-08 Denys Vlasenkohush: make set/unset builtins optional
2017-01-08 Denys Vlasenkohush: make read and trap builtins optional
2017-01-08 Denys Vlasenkohush: kill builtin and kill %jobspec support
2017-01-08 Denys Vlasenkohush: support %%, %+ and % jobspec (meaning "current...
2017-01-03 Denys Vlasenkohush: correct exitcode for unterminated ')' - exitcode2...
2016-12-23 Denys VlasenkoMake it possible to select "sh" and "bash" aliases...
2016-12-22 Denys Vlasenkoshell: move "config" blocks above their use in codition...
2016-12-12 Denys Vlasenkoshell: suppress "unused var/func" warnings on some...
2016-11-25 Denys Vlasenkoash,hush: make ^C in interactive mode visually much...
2016-11-24 Denys Vlasenkoash,hush: ^C from command line should set $? to 128...
2016-11-08 Denys Vlasenkohush: make getch/peek functions directly called
2016-11-08 Denys Vlasenkohush: renumber PIPE_foo, make PIPE_SEQ = 0
2016-11-08 Denys Vlasenkohush: small optimization in run_list
2016-11-08 Denys Vlasenkohush: deindent large block of code, no code changes
2016-11-08 Denys Vlasenkohush: simplify insert_bg_jobs
2016-11-08 Denys Vlasenkohush: make "wait %1" less likely to play with signal...
2016-11-07 Denys Vlasenkohush: rework "wait %jobspec" to work in non-interactive...
2016-11-07 Denys Vlasenkohush: "wait $!; echo $?" should return 127 if $! alread...
2016-11-07 Denys Vlasenkohush: implement "wait %jobspec"
2016-11-07 Denys Vlasenkohush: factor out %jobspec parsing
2016-11-07 Denys Vlasenkohush: comment fix
2016-11-07 Denys Vlasenkohush: do not allow sh -c '{ echo boo }'
2016-11-04 Denys Vlasenkohush: case logic for setting $? was still wrong
2016-11-04 Denys Vlasenkohush: non-matching "case" statement sets $? to 0
2016-11-04 Denys Vlasenkohush: allow { cmd } to not be terminated by semicolon...
2016-10-28 Denys Vlasenkohush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait...
2016-10-28 Denys Vlasenkohush: fix "wait PID"
2016-10-27 Denys Vlasenkoash: [SHELL] Expand ENV before using it
2016-10-25 Denys Vlasenkoash,hush: set exit code 127 in "sh /does/not/exist...
2016-10-03 Denys Vlasenkohush: add commented-out debug printouts in "memleak...
2016-10-03 Denys Vlasenkohush: fix a memory corruption when exported variable...
2016-10-02 Denys Vlasenkohush: fix exitcode on exec failure with EACCES - should...
2016-10-02 Denys Vlasenkowhitespace fixes
2016-10-02 Denys Vlasenkohush: fix var3.tests
2016-10-02 Denys Vlasenkosh: do not print empty line at the end of "help" output
2016-10-01 Denys Vlasenkohush: 'return' should have effect earlier
2016-09-30 Denys Vlasenkohush: enable "msh is deprecated" message in msh stub
2016-09-30 Denys Vlasenkohush: fix typo in comment
2016-09-29 Denys Vlasenkohush: fix interactive input handling of backslash+newline
2016-09-29 Denys Vlasenkohush: G.user_input_buf[] is needed only if line editing...
2016-09-29 Denys Vlasenkohush: speed optimizations
2016-09-29 Denys Vlasenkohush: fix handling of by backslash-newline in $((arith...
2016-09-29 Denys Vlasenkohush: rework input char buffering to allow more than...
2016-09-28 Denys Vlasenkohush: fix 'eval ""' handling
2016-09-28 Denys Vlasenkohush: fix ". EMPTY_LINE" not setting $? to 0
2016-09-20 Denys Vlasenkohush: document better where bad redirect syntax is...
2016-08-22 Denys Vlasenkohush: fix "redirects can close script fd" bug
2016-08-20 Denys Vlasenkohush: do not leak script fds into NOEXEC children
2016-08-20 Denys Vlasenkohush: bit better comments in redirect code. No logic...
2016-08-19 Denys Vlasenkohush: `cmd` and arithmetic also need the fix for FILE...
2016-08-19 Denys Vlasenkohush: fix a bug in FEATURE_SH_STANDALONE=y config....
2016-07-21 Denys Vlasenkohush: fix a possible bug
2015-10-11 Denys Vlasenkohush: code shrink
2015-10-09 Denys Vlasenkoremove global "jmp_buf die_jmp" from !FEATURE_PREFER_AP...
2015-10-07 Denys Vlasenkobuild system: -fno-builtin-printf
next